; Exemplo simples do uso de um cubo de dados
;
; Dependencias:
;  - Coyote library (legend)

; Gerando o cubo
; ================

m51=read_image('m51center_hst_big.jpg')  ; lemos uma imagem JPEG
new=congrid(m51,1,400,400)  ; redimensionamos a imagem/matriz para caber na janela gráfica padrao

; Definimos o cubo de dados em si, dimensoes 30x400x400
cube=bytarr(30,400,400, /nozero)

; Cada fatia do cubo definimos como uma versao suavizada da imagem original
for i=0,29 do cube[i,*,*]=smooth(new,i,/edge_truncate)

print, 'Dimensoes do nosso cubo de dados:', size(cube, /dimension)

tvscl, new  ; Plota a imagem sem smoothing
legend, ['Fatia 0 do cubo'], box=0
wait, 5

; Animacao percorrendo o cubo, fatia por fatia
; =============================================

for i=0,29 do begin
  tvscl, cube[i,*,*]
  legend, ['Fatia' + string(i)], box=0
  wait, 0.25
endfor

end