; Exemplo de script para plotar um espectro FITS
;
; Dependências:
;  - Coyote library
;  - GSFC library
;  - TeXtoIDL

file='espectro.fits'
y=readfits(file)  ; lê dados do arquivo FITS, neste caso fluxo (eixo y)
head=headfits(file)  ; header do FITS

; x1, neste caso, o lambda inicial em Angstroms obtido do header (cval1)
xi=strmid(head[26], 25, 10)  &  xi=float(xi)

; dx, neste caso o dlambda (cd1_1)
dx=strmid(head[29], 13, 10)  &  dx=float(dx)

; n, numero de pontos no espectro
n=n_elements(y)

; Gera os valores de x (lambdas)
x=findgen(n)  &  x=scale_vector(x,xi,xi+n*dx)

xlabel=textoidl('\lambda')
ylabel=textoidl('F_\lambda')
plot, x, y, xtitle=xlabel, ytitle=ylabel, xrange=[x[0],10000], yrange=[0,15], xstyle=1, ystyle=1

; Gera a linha horizontal
oplot, x, x*0.+0.5, linestyle=2

; Gera os espectros coloridos
oplot, x, y+2.0, color=fsc_color('blue')
oplot, x, y+4.0, color=fsc_color('red')

; Texto adicional
xyouts, 5500, 0.8, 'Objeto trilegal tche'

end